<p-header>
    <ul class="nav justify-content-end">
        <li class="nav-item">
            <a class="btn" [routerLink]="['../transfer-unit-request-event-add']">
                <i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
        </li>
    </ul>
    <div class="fieldset-legend">
        <div class="text-left">
            <p-accordion class="filter-accordion" expandIcon="fa fa-search-plus" collapseIcon="fa fa-search-minus">
                <p-accordionTab header="Filter">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Tanggal Request</label>
                                <div class="row">
                                    <div class="col-md-5">
                                        <div class="input-group input-calendar">
                                            <p-calendar dateFormat="dd-mm-yy" class="size-calendar"
                                            [(ngModel)]="filterDateFrom" [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                    <div class="col-md-1">s/d</div>
                                    <div class="col-md-5">
                                        <div class="input-group input-calendar">
                                            <p-calendar dateFormat="dd-mm-yy" class="size-calendar"
                                            [(ngModel)]="filterDateThru" [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label>Tanggal Pengiriman</label>
                                <div class="row">
                                    <div class="col-md-5">
                                        <div class="input-group input-calendar">
                                            <p-calendar dateFormat="dd-mm-yy" class="size-calendar"
                                            [(ngModel)]="filterDeliveryDateFrom" [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                    <div class="col-md-1">s/d</div>
                                    <div class="col-md-5">
                                        <div class="input-group input-calendar">
                                            <p-calendar dateFormat="dd-mm-yy" class="size-calendar"
                                            [(ngModel)]="filterDeliveryDateThru" [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Tanggal Pengambilan</label>
                                <div class="row">
                                    <div class="col-md-5">
                                        <div class="input-group input-calendar">
                                            <p-calendar dateFormat="dd-mm-yy" class="size-calendar"
                                            [(ngModel)]="filterReturnDateFrom" [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                    <div class="col-md-1">s/d</div>
                                    <div class="col-md-5">
                                        <div class="input-group input-calendar">
                                            <p-calendar dateFormat="dd-mm-yy" class="size-calendar"
                                            [(ngModel)]="filterReturnDateThru" [showIcon]="true"></p-calendar>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <label>Status</label>
                                <select class="form-control" id="field_status" name="status"
                                [(ngModel)]="idStatusType">
                                    <option [ngValue]="status.statusId" *ngFor="let status of filterStatus; trackBy: trackStatusType">{{status.statusDeskripsi}}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="btn-filter-wrapper">
                        <button type="button" (click)="executeFilter()" class="btn btn-primary btn-filter">
                            <span>FILTER</span>
                        </button>
                    </div>
                </p-accordionTab>
            </p-accordion>
            <div>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="Cari Request Pos">
                        <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
                &nbsp;
            </div>
        </div>
    </div>

</p-header>

<p-dataTable [value]="transferUnitRequestEvents" [editable]="true" [rows]="itemsPerPage" [paginator]="true" [pageLinks]="5" [rowsPerPageOptions]="[10,15,20]"
    [totalRecords]="totalItems" [responsive]="true" [lazy]="true" row="itemsPerPage" totalRecords="totalItems"
    dataKey="id" expandableRows="false" rowHover="true" (onLazyLoad)="loadDataLazy($event)" (onEditComplete)="updateRowData($event)">
    <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
        <ng-template let-rowIndex="rowIndex" pTemplate="body">
            {{rowIndex + 1}}
        </ng-template>
    </p-column>
    <p-column header="Nomor Request">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.RequestNumber}}
        </ng-template>
    </p-column>
    <p-column header="Tanggal Request" [style]="{'width': '150px'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.dtRequest | date:'dd-MM-yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="EVENT">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.eventName}}
        </ng-template>
    </p-column>
    <p-column header="Tanggal Pengiriman">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.dtSent | date:'dd-MM-yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="Tanggal Pengambilan">
        <ng-template let-rowData="rowData" pTemplate="body">
            {{rowData.dtReturn | date:'dd-MM-yyyy'}}
        </ng-template>
    </p-column>
    <p-column header="Status">
            <ng-template let-rowData="rowData" pTemplate="body">
                <p *ngIf="rowData.Status === 12">Open</p>
                <p *ngIf="rowData.Status === 13">Cancel</p>
                <p *ngIf="rowData.Status === 14 || rowData.Status === 8">Approve</p>
                <p *ngIf="rowData.Status === 15">Not Approve</p>
                <p *ngIf="rowData.Status === 16">Inventory Transfer</p>
                <p *ngIf="rowData.Status === 17">Complete Returned</p>
                <p *ngIf="rowData.Status === 18">Complete</p>
            </ng-template>
    </p-column>
    <p-column header="{{'mpmApp.requirement.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
        <ng-template let-rowData="rowData" pTemplate="body">
            <button pButton type="submit" icon="fa-eye" class="flat-button" (click)="gotoDetail(rowData)">
            </button>
        </ng-template>
    </p-column>
    <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
    </ng-template>
</p-dataTable>